Bug 1806105

Summary: man pages are missing
Product: [Fedora] Fedora Reporter: Bob Hepple <bob.hepple>
Component: wofiAssignee: Christian Kellner <ckellner>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 31CC: ckellner
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: wofi-1.1.1-1.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-17 01:35:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bob Hepple 2020-02-22 07:02:06 UTC
Description of problem:
man pages are missing from the package although 9 pages of man documentation are available in the upstream source

Version-Release number of selected component (if applicable):
wofi-1.0-1.fc31.x86_64

How reproducible:
very

Steps to Reproduce:
1. man wofi
2. cry

Actual results:
No manual entry for wofi

Expected results:
man page displays

Additional info:

Comment 1 Christian Kellner 2020-02-26 12:19:12 UTC
As far as I can see, there are none in the 1.0 release though (https://hg.sr.ht/~scoopta/wofi/browse/v1.0). I guess it could be backported with adaptions for the 1.0 feature set.

Comment 2 Bob Hepple 2020-03-02 01:35:06 UTC
... so I guess the solution is to get version 1.1 out - it is released by upstream now.

Comment 4 Christian Kellner 2020-03-04 13:37:41 UTC
I guess my new release detection setup did not work (https://release-monitoring.org/project/70994/) :\ 

I filed an issue for the missing header files upstream, but I don't want to block the release on that https://todo.sr.ht/~scoopta/wofi/64. I thought about patching it, but if upstream puts the header files in different sub-directory I dont wanna move them again.

Comment 5 Fedora Update System 2020-03-04 13:46:28 UTC
FEDORA-2020-bd5ead06c4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bd5ead06c4

Comment 6 Fedora Update System 2020-03-04 21:49:17 UTC
wofi-1.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bd5ead06c4

Comment 7 Fedora Update System 2020-03-09 12:02:47 UTC
FEDORA-2020-6e80fefd0f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e80fefd0f

Comment 8 Fedora Update System 2020-03-09 20:34:36 UTC
wofi-1.1.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e80fefd0f

Comment 9 Fedora Update System 2020-03-17 01:35:59 UTC
wofi-1.1.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.